summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWim Muskee <wimmuskee@gmail.com>2012-08-25 13:42:12 +0200
committerHarald Hoyer <harald@redhat.com>2012-09-06 10:50:05 +0200
commitca121b1a5c70c0ca15a1c797e5af5df4592c6e80 (patch)
treeee780cbe023a1e3afceef05856b4b2426073f7fa
parent0db77f5a2b32ed0bc3587fa54bc078e286f16947 (diff)
downloaddracut-ca121b1a5c70c0ca15a1c797e5af5df4592c6e80.tar.gz
dracut-ca121b1a5c70c0ca15a1c797e5af5df4592c6e80.tar.bz2
dracut-ca121b1a5c70c0ca15a1c797e5af5df4592c6e80.zip
unquote nbd port
Name based connects fail because of the quotes around the $nbdport. For name based connects, the -N option also gets included. For instance nbd-client 192.168.0.1 '-N ltsp' /dev/nbd0. I believe the quotes are not necessary for actual port numbers.
-rwxr-xr-xmodules.d/95nbd/nbdroot.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/modules.d/95nbd/nbdroot.sh b/modules.d/95nbd/nbdroot.sh
index 76561204..4d06425c 100755
--- a/modules.d/95nbd/nbdroot.sh
+++ b/modules.d/95nbd/nbdroot.sh
@@ -95,7 +95,7 @@ while [ ! -b /dev/nbd0 ]; do
i=$(( $i + 1))
done
-nbd-client $preopts "$nbdserver" "$nbdport" /dev/nbd0 $opts || exit 1
+nbd-client $preopts "$nbdserver" $nbdport /dev/nbd0 $opts || exit 1
# If we didn't get a root= on the command line, then we need to
# add the udev rules for mounting the nbd0 device